Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in qemu
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in qemu
ID: SUSE-SU-2021:2448-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server 12-SP5
Datum: Do, 22. Juli 2021, 21:39
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3592
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3595
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3593
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3611
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3608
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3594
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3607
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3582
Applikationen: QEMU

Originalnachricht


SUSE Security Update: Security update for qemu
______________________________________________________________________________

Announcement ID: SUSE-SU-2021:2448-1
Rating: important
References: #1185591 #1187364 #1187365 #1187366 #1187367
#1187499 #1187529 #1187538 #1187539
Cross-References: CVE-2021-3582 CVE-2021-3592 CVE-2021-3593
CVE-2021-3594 CVE-2021-3595 CVE-2021-3607
CVE-2021-3608 CVE-2021-3611
CVSS scores:
CVE-2021-3582 (SUSE): 3.2
CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L
CVE-2021-3592 (NVD) : 3.8
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
CVE-2021-3592 (SUSE): 3.8
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
CVE-2021-3593 (NVD) : 3.8
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
CVE-2021-3593 (SUSE): 3.8
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
CVE-2021-3594 (NVD) : 3.8
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
CVE-2021-3594 (SUSE): 3.8
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
CVE-2021-3595 (NVD) : 3.8
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
CVE-2021-3595 (SUSE): 3.8
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
CVE-2021-3607 (SUSE): 3.2
CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L
CVE-2021-3608 (SUSE): 3.2
CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L
CVE-2021-3611 (SUSE): 5
CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:L

Affected Products:
SUSE Linux Enterprise Server 12-SP5
______________________________________________________________________________

An update that solves 8 vulnerabilities and has one errata
is now available.

Description:

This update for qemu fixes the following issues:

Security fixes:

- CVE-2021-3595: Fixed slirp: invalid pointer initialization may lead to
information disclosure (tftp) (bsc#1187366)
- CVE-2021-3592: Fix for slirp: invalid pointer initialization may lead to
information disclosure (bootp) (bsc#1187364)
- CVE-2021-3594: Fix for slirp: invalid pointer initialization may lead to
information disclosure (udp) (bsc#1187367)
- CVE-2021-3593: Fix for slirp: invalid pointer initialization may lead to
information disclosure (udp6) (bsc#1187365)
- CVE-2021-3582: Fixed possible mremap overflow in the pvrdma (bsc#1187499)
- CVE-2021-3607: Ensure correct input on ring init (bsc#1187539)
- CVE-2021-3608: Fixed the ring init error flow (bsc#1187538)
- CVE-2021-3611: Fixed intel-hda segmentation fault due to stack overflow
(bsc#1187529)

Other fixes:

- Fix qemu hang while cancelling migrating hugepage vm (bsc#1185591)


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 12-SP5:

zypper in -t patch SUSE-SLE-SERVER-12-SP5-2021-2448=1



Package List:

- SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):

qemu-3.1.1.1-54.1
qemu-audio-alsa-3.1.1.1-54.1
qemu-audio-alsa-debuginfo-3.1.1.1-54.1
qemu-audio-oss-3.1.1.1-54.1
qemu-audio-oss-debuginfo-3.1.1.1-54.1
qemu-audio-pa-3.1.1.1-54.1
qemu-audio-pa-debuginfo-3.1.1.1-54.1
qemu-audio-sdl-3.1.1.1-54.1
qemu-audio-sdl-debuginfo-3.1.1.1-54.1
qemu-block-curl-3.1.1.1-54.1
qemu-block-curl-debuginfo-3.1.1.1-54.1
qemu-block-iscsi-3.1.1.1-54.1
qemu-block-iscsi-debuginfo-3.1.1.1-54.1
qemu-block-ssh-3.1.1.1-54.1
qemu-block-ssh-debuginfo-3.1.1.1-54.1
qemu-debugsource-3.1.1.1-54.1
qemu-guest-agent-3.1.1.1-54.1
qemu-guest-agent-debuginfo-3.1.1.1-54.1
qemu-lang-3.1.1.1-54.1
qemu-tools-3.1.1.1-54.1
qemu-tools-debuginfo-3.1.1.1-54.1
qemu-ui-curses-3.1.1.1-54.1
qemu-ui-curses-debuginfo-3.1.1.1-54.1
qemu-ui-gtk-3.1.1.1-54.1
qemu-ui-gtk-debuginfo-3.1.1.1-54.1
qemu-ui-sdl-3.1.1.1-54.1
qemu-ui-sdl-debuginfo-3.1.1.1-54.1

- SUSE Linux Enterprise Server 12-SP5 (aarch64 x86_64):

qemu-block-rbd-3.1.1.1-54.1
qemu-block-rbd-debuginfo-3.1.1.1-54.1

- SUSE Linux Enterprise Server 12-SP5 (s390x x86_64):

qemu-kvm-3.1.1.1-54.1

- SUSE Linux Enterprise Server 12-SP5 (aarch64):

qemu-arm-3.1.1.1-54.1
qemu-arm-debuginfo-3.1.1.1-54.1

- SUSE Linux Enterprise Server 12-SP5 (ppc64le):

qemu-ppc-3.1.1.1-54.1
qemu-ppc-debuginfo-3.1.1.1-54.1

- SUSE Linux Enterprise Server 12-SP5 (noarch):

qemu-ipxe-1.0.0+-54.1
qemu-seabios-1.12.0_0_ga698c89-54.1
qemu-sgabios-8-54.1
qemu-vgabios-1.12.0_0_ga698c89-54.1

- SUSE Linux Enterprise Server 12-SP5 (x86_64):

qemu-x86-3.1.1.1-54.1

- SUSE Linux Enterprise Server 12-SP5 (s390x):

qemu-s390-3.1.1.1-54.1
qemu-s390-debuginfo-3.1.1.1-54.1


References:

https://www.suse.com/security/cve/CVE-2021-3582.html
https://www.suse.com/security/cve/CVE-2021-3592.html
https://www.suse.com/security/cve/CVE-2021-3593.html
https://www.suse.com/security/cve/CVE-2021-3594.html
https://www.suse.com/security/cve/CVE-2021-3595.html
https://www.suse.com/security/cve/CVE-2021-3607.html
https://www.suse.com/security/cve/CVE-2021-3608.html
https://www.suse.com/security/cve/CVE-2021-3611.html
https://bugzilla.suse.com/1185591
https://bugzilla.suse.com/1187364
https://bugzilla.suse.com/1187365
https://bugzilla.suse.com/1187366
https://bugzilla.suse.com/1187367
https://bugzilla.suse.com/1187499
https://bugzilla.suse.com/1187529
https://bugzilla.suse.com/1187538
https://bugzilla.suse.com/1187539
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung